//
// C++ Implementation: pixmaps
//
// Description:
//
//
// Author: Remi Villatel <maxilys@tele2.fr>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "pixmaps.h"
#include "powderhandler.h"

#include <kdecoration.h>
#include <qpainter.h>
#include <kpixmapeffect.h>
#include <kpixmap.h>
#include <kpixmapio.h>
#include <qimage.h>
#include <qpixmap.h>

#include <qwidget.h>

// Static declarations for linking.
QPixmap *Pixmaps::active_button_ground = 0;
QPixmap *Pixmaps::inactive_button_ground = 0;

QImage *Pixmaps::active_help_normal = 0;
QImage *Pixmaps::active_max_normal = 0;
QImage *Pixmaps::active_restore_normal = 0;
QImage *Pixmaps::active_min_normal = 0;
QImage *Pixmaps::active_close_normal = 0;
QImage *Pixmaps::active_sticky_normal = 0;
QImage *Pixmaps::active_unsticky_normal = 0;
QImage *Pixmaps::active_above_normal = 0;
QImage *Pixmaps::active_unabove_normal = 0;
QImage *Pixmaps::active_below_normal = 0;
QImage *Pixmaps::active_unbelow_normal = 0;
QImage *Pixmaps::active_menu_normal = 0;

QImage *Pixmaps::active_help_hover = 0;
QImage *Pixmaps::active_max_hover = 0;
QImage *Pixmaps::active_restore_hover = 0;
QImage *Pixmaps::active_min_hover = 0;
QImage *Pixmaps::active_close_hover = 0;
QImage *Pixmaps::active_sticky_hover = 0;
QImage *Pixmaps::active_unsticky_hover = 0;
QImage *Pixmaps::active_above_hover = 0;
QImage *Pixmaps::active_unabove_hover = 0;
QImage *Pixmaps::active_below_hover = 0;
QImage *Pixmaps::active_unbelow_hover = 0;
QImage *Pixmaps::active_menu_hover = 0;

QImage *Pixmaps::active_help_sunken = 0;
QImage *Pixmaps::active_max_sunken = 0;
QImage *Pixmaps::active_restore_sunken = 0;
QImage *Pixmaps::active_min_sunken = 0;
QImage *Pixmaps::active_close_sunken = 0;
QImage *Pixmaps::active_sticky_sunken = 0;
QImage *Pixmaps::active_unsticky_sunken = 0;
QImage *Pixmaps::active_above_sunken = 0;
QImage *Pixmaps::active_unabove_sunken = 0;
QImage *Pixmaps::active_below_sunken = 0;
QImage *Pixmaps::active_unbelow_sunken = 0;
QImage *Pixmaps::active_menu_sunken = 0;

QImage *Pixmaps::inactive_help_normal = 0;
QImage *Pixmaps::inactive_max_normal = 0;
QImage *Pixmaps::inactive_restore_normal = 0;
QImage *Pixmaps::inactive_min_normal = 0;
QImage *Pixmaps::inactive_close_normal = 0;
QImage *Pixmaps::inactive_sticky_normal = 0;
QImage *Pixmaps::inactive_unsticky_normal = 0;
QImage *Pixmaps::inactive_above_normal = 0;
QImage *Pixmaps::inactive_unabove_normal = 0;
QImage *Pixmaps::inactive_below_normal = 0;
QImage *Pixmaps::inactive_unbelow_normal = 0;
QImage *Pixmaps::inactive_menu_normal = 0;

QImage *Pixmaps::inactive_help_hover = 0;
QImage *Pixmaps::inactive_max_hover = 0;
QImage *Pixmaps::inactive_restore_hover = 0;
QImage *Pixmaps::inactive_min_hover = 0;
QImage *Pixmaps::inactive_close_hover = 0;
QImage *Pixmaps::inactive_sticky_hover = 0;
QImage *Pixmaps::inactive_unsticky_hover = 0;
QImage *Pixmaps::inactive_above_hover = 0;
QImage *Pixmaps::inactive_unabove_hover = 0;
QImage *Pixmaps::inactive_below_hover = 0;
QImage *Pixmaps::inactive_unbelow_hover = 0;
QImage *Pixmaps::inactive_menu_hover = 0;

QImage *Pixmaps::inactive_help_sunken = 0;
QImage *Pixmaps::inactive_max_sunken = 0;
QImage *Pixmaps::inactive_restore_sunken = 0;
QImage *Pixmaps::inactive_min_sunken = 0;
QImage *Pixmaps::inactive_close_sunken = 0;
QImage *Pixmaps::inactive_sticky_sunken = 0;
QImage *Pixmaps::inactive_unsticky_sunken = 0;
QImage *Pixmaps::inactive_above_sunken = 0;
QImage *Pixmaps::inactive_unabove_sunken = 0;
QImage *Pixmaps::inactive_below_sunken = 0;
QImage *Pixmaps::inactive_unbelow_sunken = 0;
QImage *Pixmaps::inactive_menu_sunken = 0;

bool Pixmaps::pixmapsCreated = false;

static int alias_help[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xBF,0xFF,0xFF,0xBF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x80,0x00,0x00,0x80,0xFD,0xED,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x80,0xD7,0xF1,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x40,0x80,0x00,0x00,0x00,0x00,0x00,0x80,0xC7,0xEF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xEF,0xCB,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xE9,0xD3,0xCB,0xBF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE9,0xD7,0xBF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE1,0xDD,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xF7,0xBF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xEF,0xE7,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_max[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xFE,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xF8,0xF8,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xF2,0xF2,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xED,0xED,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x00,0xE7,0xE7,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xFF,0xF4,0xE4,0xCF,0xDF,0x00,0xE2,0xE2,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xBF,0xFA,0xE4,0xCF,0xDF,0x00,0xDC,0xDC,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xD7,0xD7,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xD1,0xD1,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCC,0xCC,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xC6,0xC6,0x00,0x00,
	0x00,0x00,0xFF,0xFC,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0x82,0xC0,0x00,0x00,
	0x00,0x00,0xBF,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_restore[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xC0,0xC6,0xCC,0xD1,0xD7,0xDC,0xE2,0xE7,0xED,0xF2,0xF8,0xFE,0xBF,0x00,0x00,
	0x00,0x00,0xC0,0x82,0xC6,0xCC,0xD1,0xD7,0xDC,0xE2,0xE7,0xED,0xF2,0xF8,0xFC,0xFF,0x00,0x00,
	0x00,0x00,0xC6,0xC6,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xCC,0xCC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xD1,0xD1,0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xD7,0xD7,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xF2,0xEF,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xDC,0xDC,0x00,0x00,0xFF,0xFF,0xFF,0xF2,0xD8,0xE2,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xE2,0xE2,0x00,0x00,0xFF,0xFF,0xF2,0xD8,0xBF,0xD6,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xE7,0xE7,0x00,0x00,0xFF,0xF2,0xD8,0xBF,0xA6,0xC9,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xED,0xED,0x00,0x00,0xBF,0xEF,0xE2,0xD6,0xC9,0xBF,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xF2,0xF2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xF8,0xF8,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xFE,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_min[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFA,0xF9,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xF6,0xF4,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0xEF,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xEC,0xEA,0x00,0x00,
	0x00,0x00,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE8,0xE5,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0xE3,0xE0,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF5,0xF3,0x00,0x00,0x00,0x00,0xDE,0xDB,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x40,0xEF,0xEA,0x00,0x00,0x00,0x00,0xD9,0xD6,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xE6,0xE1,0x00,0x00,0x00,0x00,0xD4,0xD2,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0xDD,0xD8,0x00,0x00,0x00,0x00,0xCF,0xCD,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x40,0xD4,0xCF,0x00,0x00,0x00,0x40,0xCA,0xC8,0x00,0x00,
	0x00,0x00,0xFF,0xF5,0xEF,0xE6,0xDD,0xD4,0xB2,0xC6,0x00,0xE9,0xCF,0xCA,0x8E,0xC3,0x00,0x00,
	0x00,0x00,0xBF,0xF3,0xEA,0xE1,0xD8,0xCF,0xC6,0xBF,0x40,0xE8,0xCD,0xC8,0xC3,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_close[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x40,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0x40,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0xDF,0xE7,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0xBF,0xFF,0xDF,0xBF,0xBF,0x00,0x00,
	0x00,0x00,0x00,0xBF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0xBF,0xFF,0xDF,0xBF,0xBF,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xBF,0xFF,0xFF,0xFF,0x80,0x80,0xFF,0xDF,0xBF,0xBF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0xFF,0x40,0x40,0xF7,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x40,0x00,0x00,0x40,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x40,0x00,0x00,0x40,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0xF7,0x40,0x40,0xFF,0xF9,0xBF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xBF,0xFF,0xDF,0xBF,0x80,0x80,0xF9,0xE7,0xE1,0xBF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0xBF,0xFF,0xDF,0xBF,0xBF,0x00,0x00,0xBF,0xE1,0xC7,0xC9,0xBF,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xDF,0xBF,0xBF,0x00,0x00,0x00,0x00,0xBF,0xC9,0xA7,0xB1,0xBF,0x00,0x00,
	0x00,0x00,0xFF,0xDF,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xB1,0x87,0xDF,0x00,0x00,
	0x00,0x00,0x40,0xE7,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xDF,0x40,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_sticky[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x40,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xFF,0xFF,0xBF,0x40,0x00,0x00,0x40,0xBF,0xFF,0xFD,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xEE,0xF6,0x00,0x00,0x00,
	0x00,0x00,0x80,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xDA,0x80,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xDD,0xEC,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xD6,0xD3,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xCF,0xCC,0x00,0x00,
	0x00,0x00,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0xC8,0xE3,0x00,0x00,
	0x00,0x00,0x80,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xA7,0x80,0x00,0x00,
	0x00,0x00,0x00,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xA3,0xDF,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xFD,0xEE,0xBF,0x40,0x00,0x00,0x40,0xBF,0xA3,0xDF,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x40,0xF6,0xDA,0xDD,0xD6,0xCF,0xC8,0xA7,0xDF,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xEC,0xD3,0xCC,0xE3,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_unsticky[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xE3,0xCC,0xD3,0xEC,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x40,0xDF,0xA7,0xC8,0xCF,0xD6,0xDD,0xDA,0xF6,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xDF,0xA3,0xBF,0x40,0x00,0x00,0x40,0xBF,0xEE,0xFD,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0xDF,0xA3,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0xFF,0x00,0x00,0x00,
	0x00,0x00,0x80,0xA7,0xBF,0x00,0x00,0x80,0xFF,0xFF,0x80,0x00,0x00,0xBF,0xFF,0x80,0x00,0x00,
	0x00,0x00,0xE3,0xC8,0x40,0x00,0x80,0xFF,0xFF,0xFF,0xF3,0x80,0x00,0x40,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xCC,0xCF,0x00,0x00,0xFF,0xFF,0xFF,0xEF,0xCF,0xEB,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xD3,0xD6,0x00,0x00,0xFF,0xFF,0xEF,0xCF,0xAF,0xE7,0x00,0x00,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0xEC,0xDD,0x40,0x00,0x80,0xF3,0xCF,0xAF,0xAF,0x80,0x00,0x40,0xFF,0xFF,0x00,0x00,
	0x00,0x00,0x80,0xDA,0xBF,0x00,0x00,0x80,0xEB,0xE7,0x80,0x00,0x00,0xBF,0xFF,0x80,0x00,0x00,
	0x00,0x00,0x00,0xF6,0xEE,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xFF,0xFF,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xFD,0xFF,0xBF,0x40,0x00,0x00,0x40,0xBF,0xFF,0xFF,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x40,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_above[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xBF,0x00,0x00,
	0x00,0x00,0xBF,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0xFF,0xFD,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x80,0xF5,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0xF8,0xE2,0x80,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x80,0xD8,0xEF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0x00,0x00,0xEF,0xC6,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xFF,0xFD,0x80,0x00,0x00,0x00,0x00,0x80,0xA6,0xE6,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x80,0xFD,0xF2,0xF0,0xEA,0xE4,0xDE,0xD7,0xD1,0x99,0xA9,0x80,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xFC,0xF4,0xED,0xE7,0xE0,0xDA,0xD4,0xCE,0xC7,0xE1,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_unabove[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xA2,0xB2,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE2,0x99,0xB2,0xF2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xB6,0xD6,0xE2,0xEC,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0xE9,0xC2,0x80,0x80,0xFC,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x80,0xC8,0xEF,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xEF,0xD6,0x80,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0xDC,0xF5,0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xF5,0xE5,0x80,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x80,0xEF,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xBF,0x00,0x00,
	0x00,0x00,0xBF,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_below[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x80,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xEF,0x80,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x80,0xE5,0xF5,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0x00,0x00,0xF5,0xDC,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x80,0xD6,0xEF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0xEF,0xC8,0x80,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFC,0x80,0x80,0xC2,0xE9,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xEC,0xE2,0xD6,0xB6,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF2,0xB2,0x99,0xE2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xB2,0xA2,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xBF,0x00,0x00,
	0x00,0x00,0xBF,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_unbelow[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xBF,0x00,0x00,
	0x00,0x00,0xBF,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xBF,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x40,0xE1,0xC7,0xCE,0xD4,0xDA,0xE0,0xE7,0xED,0xF4,0xFC,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x80,0xA9,0x99,0xD1,0xD7,0xDE,0xE4,0xEA,0xF0,0xF2,0xFD,0x80,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xE6,0xA6,0x80,0x00,0x00,0x00,0x00,0x80,0xFD,0xFF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0xC6,0xEF,0x00,0x00,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0xEF,0xD8,0x80,0x00,0x00,0x80,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x80,0xE2,0xF8,0x00,0x00,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0xF5,0x80,0x80,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFD,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
static int alias_menu[] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x00,0xBF,0xFF,0x80,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0xBF,0xFF,0xFF,0x40,0x00,0x00,
	0x00,0x00,0x00,0x80,0xFF,0xBF,0xFF,0x00,0xFF,0xFF,0x00,0xBF,0xFF,0xFF,0x40,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xBF,0xFF,0xBF,0x00,0xFF,0xFF,0xBF,0xFF,0xFF,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xFF,0xBF,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x80,0xFF,0x40,0x00,0x00,0xFF,0xFF,0xBF,0xF7,0xF7,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0x00,0x00,0x00,0xFF,0xFF,0x00,0xBF,0xD7,0xEC,0x40,0x00,0x00,0x00,
	0x00,0x00,0xBF,0xFF,0xFF,0x00,0x00,0x00,0xFF,0xFC,0x00,0x00,0xBF,0xB7,0xE2,0x40,0x00,0x00,
	0x00,0x00,0x00,0x80,0xFF,0x40,0x00,0x00,0xFC,0xFA,0x00,0x00,0x00,0xBF,0xDF,0x80,0x00,0x00,
	0x00,0x00,0x00,0x00,0xFF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0x40,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0xBF,0xFE,0xBF,0x40,0x00,0x00,0x40,0xBF,0xB5,0xBF,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x80,0xFF,0xBF,0xF8,0xF2,0xE1,0xDA,0xEA,0xE8,0xBF,0xE1,0x80,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0xDA,0xD6,0x80,0x00,0x00,0x80,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xBF,0xBF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
//
// Do you see the change?
//
static int glow_help[] = {
	0x00,0x00,0x00,0x01,0x08,0x16,0x29,0x3B,0x45,0x45,0x3B,0x29,0x16,0x08,0x01,0x00,0x00,0x00,
	0x00,0x00,0x02,0x0D,0x27,0x4D,0x74,0x90,0x9F,0x9F,0x90,0x74,0x4D,0x27,0x0D,0x02,0x00,0x00,
	0x00,0x01,0x0A,0x28,0x5F,0x99,0xD8,0xF0,0xFF,0xFF,0xF0,0xD8,0x99,0x60,0x28,0x0B,0x01,0x00,
	0x00,0x04,0x1A,0x4F,0x9A,0xEE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0x9D,0x53,0x1C,0x04,0x00,
	0x00,0x08,0x29,0x6F,0xD4,0xFF,0xFF,0xE8,0xCA,0xCC,0xEC,0xFD,0xED,0xDC,0x7D,0x30,0x0A,0x00,
	0x00,0x08,0x2C,0x72,0xFF,0xFF,0xE1,0xA9,0x8E,0x9C,0xC8,0xF1,0xD7,0xF1,0x96,0x3F,0x0E,0x02,
	0x00,0x07,0x20,0x54,0xA0,0xC5,0x8F,0x72,0x6E,0x91,0xC5,0xF1,0xC7,0xEF,0x96,0x3F,0x0E,0x02,
	0x00,0x02,0x0E,0x28,0x47,0x54,0x55,0x66,0x8F,0xBC,0xEC,0xEF,0xCB,0xDC,0x7D,0x30,0x0A,0x00,
	0x00,0x00,0x03,0x0A,0x15,0x22,0x42,0x81,0xEA,0xE9,0xD3,0xCB,0xEF,0x9E,0x53,0x1C,0x04,0x00,
	0x00,0x00,0x00,0x00,0x03,0x12,0x45,0x97,0xE9,0xD7,0xF6,0xE0,0x9E,0x60,0x28,0x0B,0x01,0x00,
	0x00,0x00,0x00,0x00,0x02,0x11,0x46,0x97,0xE1,0xDD,0xC5,0x90,0x56,0x28,0x0D,0x02,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x10,0x40,0x8C,0xEC,0xEE,0x9D,0x59,0x25,0x0A,0x01,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x02,0x13,0x46,0x8D,0xBD,0xBD,0x90,0x48,0x15,0x02,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x03,0x1B,0x58,0xB4,0xFF,0xFF,0xB6,0x58,0x1B,0x03,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x03,0x20,0x60,0xCE,0xF7,0xBF,0xCE,0x60,0x20,0x04,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x03,0x1A,0x4F,0xAA,0xEF,0xE7,0xAA,0x4F,0x1A,0x03,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x0D,0x2D,0x5F,0x81,0x81,0x5F,0x2D,0x0D,0x01,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x04,0x10,0x24,0x34,0x34,0x24,0x10,0x04,0x00,0x00,0x00,0x00,0x00
};
static int glow_max[] = {
	0x08,0x1B,0x32,0x45,0x4E,0x50,0x52,0x52,0x52,0x52,0x52,0x52,0x50,0x4E,0x45,0x32,0x1B,0x08,
	0x1B,0x48,0x7C,0x9C,0xAA,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAA,0x9C,0x7B,0x48,0x1B,
	0x34,0x7B,0xE8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE8,0x7B,0x34,
	0x48,0x9E,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xFE,0x9E,0x48,
	0x51,0xAC,0xFF,0xFF,0xE8,0xCC,0xC2,0xCF,0xDD,0xDC,0xCE,0xC2,0xCC,0xE8,0xF8,0xF8,0xAC,0x51,
	0x54,0xAE,0xFF,0xFF,0xC9,0x98,0x8C,0xB3,0xFF,0xFF,0xBA,0x98,0xA1,0xCC,0xF2,0xF2,0xAE,0x54,
	0x54,0xAC,0xFF,0xFF,0xB4,0x72,0x6C,0xA9,0xFF,0xFF,0xC6,0x9B,0x98,0xC3,0xED,0xED,0xAE,0x54,
	0x54,0xAC,0xFF,0xFF,0xAE,0x65,0x63,0xAA,0xFF,0xFF,0xE5,0xC5,0xBA,0xD0,0xE7,0xE7,0xAE,0x54,
	0x54,0xAC,0xFF,0xFF,0xAE,0x64,0x5B,0xA0,0xFF,0xF4,0xE4,0xCF,0xDF,0xDE,0xE2,0xE2,0xAE,0x54,
	0x54,0xAC,0xFF,0xFF,0xAD,0x5F,0x48,0x7E,0xE8,0xFA,0xE4,0xCF,0xDF,0xDD,0xDC,0xDC,0xAE,0x54,
	0x54,0xAC,0xFF,0xFF,0xAD,0x5A,0x31,0x4B,0x7C,0x9D,0xA9,0xA9,0xB2,0xCE,0xD7,0xD7,0xAE,0x54,
	0x54,0xAE,0xFF,0xFF,0xB3,0x65,0x32,0x30,0x45,0x58,0x62,0x6C,0x8D,0xC3,0xD1,0xD1,0xAE,0x54,
	0x54,0xAE,0xFF,0xFF,0xC8,0x8E,0x65,0x59,0x5C,0x61,0x65,0x72,0x98,0xCC,0xCC,0xCC,0xAE,0x54,
	0x51,0xAC,0xFF,0xFF,0xE8,0xC8,0xB3,0xAC,0xAB,0xAB,0xAE,0xB4,0xC9,0xE7,0xC6,0xC6,0xAC,0x51,
	0x48,0x9E,0xFF,0xFC,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0x82,0xC0,0x9E,0x48,
	0x34,0x7C,0xE8,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xE8,0x7C,0x34,
	0x1B,0x48,0x7C,0x9E,0xAA,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAA,0x9E,0x7B,0x48,0x1B,
	0x08,0x1B,0x32,0x45,0x4E,0x50,0x52,0x52,0x52,0x52,0x52,0x52,0x50,0x4E,0x45,0x32,0x1B,0x08
};
static int glow_restore[] = {
	0x08,0x1B,0x32,0x45,0x4E,0x50,0x52,0x52,0x52,0x52,0x52,0x52,0x50,0x4E,0x45,0x32,0x1B,0x08,
	0x1B,0x48,0x7C,0x9C,0xAA,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAA,0x9C,0x7B,0x48,0x1B,
	0x34,0x7B,0xE8,0xC0,0xC6,0xCC,0xD1,0xD7,0xDC,0xE2,0xE7,0xED,0xF2,0xF8,0xFE,0xE8,0x7B,0x34,
	0x48,0x9E,0xC0,0x82,0xC6,0xCC,0xD1,0xD7,0xDC,0xE2,0xE7,0xED,0xF2,0xF8,0xFC,0xFF,0x9E,0x48,
	0x51,0xAC,0xC6,0xC6,0xEA,0xD3,0xCA,0xCE,0xD0,0xD0,0xCE,0xCB,0xD3,0xEA,0xFF,0xFF,0xAC,0x51,
	0x54,0xAE,0xCC,0xCC,0xD3,0xB9,0xBC,0xCB,0xD4,0xD4,0xCB,0xBB,0xBA,0xD3,0xFF,0xFF,0xAE,0x54,
	0x54,0xAC,0xD1,0xD1,0xCA,0xBB,0xF0,0xFF,0xFF,0xFF,0xFF,0xF0,0xBC,0xCA,0xFF,0xFF,0xAC,0x54,
	0x54,0xAC,0xD7,0xD7,0xCE,0xCC,0xFF,0xFF,0xFF,0xFF,0xF2,0xEF,0xCD,0xCE,0xFF,0xFF,0xAC,0x54,
	0x54,0xAC,0xDC,0xDC,0xD3,0xD7,0xFF,0xFF,0xFF,0xF2,0xD8,0xE2,0xD6,0xD2,0xFF,0xFF,0xAC,0x54,
	0x54,0xAC,0xE2,0xE2,0xD3,0xD6,0xFF,0xFF,0xF2,0xD8,0xBF,0xD6,0xD6,0xD2,0xFF,0xFF,0xAC,0x54,
	0x54,0xAC,0xE7,0xE7,0xCE,0xCC,0xFF,0xF2,0xD8,0xBF,0xA6,0xC9,0xCD,0xCE,0xFF,0xFF,0xAC,0x54,
	0x54,0xAE,0xED,0xED,0xCA,0xBC,0xF0,0xEF,0xE2,0xD6,0xC9,0xF0,0xBC,0xCA,0xFF,0xFF,0xAE,0x54,
	0x54,0xAE,0xF2,0xF2,0xD3,0xB9,0xBC,0xCB,0xD4,0xD4,0xCB,0xBB,0xBA,0xD3,0xFF,0xFF,0xAE,0x54,
	0x51,0xAC,0xF8,0xF8,0xEA,0xD3,0xCA,0xCD,0xD0,0xD0,0xCD,0xCA,0xD3,0xEA,0xFF,0xFF,0xAC,0x51,
	0x48,0x9E,0xFE,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x9E,0x48,
	0x34,0x7C,0xE8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE8,0x7C,0x34,
	0x1B,0x48,0x7C,0x9E,0xAA,0xAC,0xAB,0xAC,0xAC,0xAC,0xAC,0xAB,0xAC,0xAA,0x9E,0x7B,0x48,0x1B,
	0x08,0x1B,0x32,0x45,0x4E,0x50,0x52,0x52,0x52,0x52,0x52,0x52,0x50,0x4E,0x45,0x32,0x1B,0x08
};
static int glow_min[] = {
	0x08,0x1B,0x32,0x45,0x4E,0x50,0x52,0x52,0x52,0x52,0x52,0x52,0x50,0x4E,0x45,0x32,0x1B,0x08,
	0x1B,0x48,0x7C,0x9C,0xAA,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAC,0xAA,0x9C,0x7B,0x48,0x1B,
	0x34,0x7B,0xE8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE8,0x7B,0x34,
	0x48,0x9E,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFA,0xF9,0x9E,0x48,
	0x50,0xA9,0xFF,0xFF,0xE6,0xC7,0xB4,0xAC,0xAB,0xAB,0xAC,0xB3,0xC8,0xE8,0xF6,0xF4,0xAC,0x51,
	0x4E,0xA3,0xFF,0xFF,0xC5,0x96,0x72,0x66,0x61,0x5C,0x59,0x65,0x8E,0xC8,0xF1,0xEF,0xAE,0x54,
	0x46,0x97,0xFF,0xFF,0xBA,0x8D,0x6F,0x63,0x58,0x45,0x30,0x32,0x65,0xB3,0xEC,0xEA,0xAC,0x54,
	0x40,0x8D,0xD8,0xD9,0xD0,0xBE,0xB1,0xAC,0x9E,0x7C,0x4B,0x31,0x5A,0xAD,0xE8,0xE5,0xAC,0x54,
	0x44,0x96,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE8,0x7E,0x48,0x5F,0xAD,0xE3,0xE0,0xAC,0x54,
	0x4C,0xA4,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF5,0xF3,0xA0,0x5B,0x64,0xAE,0xDE,0xDB,0xAC,0x54,
	0x52,0xAC,0xFF,0xFF,0xE8,0xD0,0xD0,0xE8,0xEF,0xEA,0xAD,0x64,0x66,0xAE,0xD9,0xD6,0xAC,0x54,
	0x54,0xAF,0xFF,0xFF,0xD0,0xA8,0xA8,0xD0,0xE6,0xE1,0xB2,0x70,0x72,0xB5,0xD4,0xD2,0xAE,0x54,
	0x54,0xAF,0xFF,0xFF,0xD0,0xA8,0xA8,0xD0,0xDD,0xD8,0xBE,0x8D,0x96,0xC8,0xCF,0xCD,0xAE,0x54,
	0x51,0xAC,0xFF,0xFF,0xE8,0xD0,0xD0,0xE8,0xD4,0xCF,0xCF,0xBA,0xC6,0xE6,0xCA,0xC8,0xAC,0x51,
	0x48,0x9E,0xFF,0xF5,0xEF,0xE6,0xDD,0xD4,0xB2,0xC6,0xD8,0xE9,0xCF,0xCA,0x8E,0xC3,0x9E,0x48,
	0x34,0x7C,0xE8,0xF3,0xEA,0xE1,0xD8,0xCF,0xC6,0xF0,0xD7,0xE8,0xCD,0xC8,0xC3,0xE8,0x7C,0x34,
	0x1B,0x48,0x7C,0x9E,0xAA,0xAD,0xAD,0xAB,0xA3,0x94,0x8C,0x94,0xA3,0xA8,0x9C,0x7B,0x48,0x1B,
	0x08,0x1B,0x32,0x45,0x4E,0x51,0x52,0x4F,0x49,0x41,0x3D,0x44,0x4A,0x4E,0x45,0x32,0x1B,0x08
};
static int glow_close[] = {
	0x04,0x12,0x25,0x31,0x2D,0x1C,0x0B,0x02,0x00,0x00,0x02,0x0B,0x1C,0x2D,0x31,0x25,0x12,0x04,
	0x12,0x36,0x64,0x80,0x7B,0x56,0x2C,0x0F,0x03,0x03,0x0F,0x2C,0x56,0x7B,0x80,0x64,0x36,0x12,
	0x27,0x67,0xB8,0xFF,0xEC,0xA6,0x68,0x30,0x12,0x12,0x30,0x68,0xA6,0xEC,0xFF,0xB8,0x67,0x27,
	0x34,0x83,0xFF,0xFF,0xFF,0xF2,0xB0,0x6E,0x3D,0x3D,0x6E,0xB0,0xF2,0xFF,0xDF,0xE7,0x83,0x34,
	0x30,0x7D,0xEC,0xFF,0xFF,0xFF,0xF3,0xB2,0x82,0x82,0xB2,0xF3,0xFF,0xDF,0xBF,0xEC,0x7D,0x31,
	0x1F,0x58,0xA6,0xF2,0xFF,0xFF,0xFF,0xF3,0xBD,0xBD,0xF3,0xFF,0xDF,0xBF,0xF2,0xA6,0x58,0x1F,
	0x0C,0x2D,0x6A,0xB0,0xF3,0xFF,0xFF,0xFF,0xE8,0xE8,0xFF,0xDF,0xBF,0xF3,0xB0,0x6B,0x2E,0x0C,
	0x03,0x10,0x31,0x6E,0xB2,0xF3,0xFF,0xFF,0xDA,0xDA,0xF7,0xBF,0xF3,0xB2,0x6E,0x32,0x10,0x03,
	0x00,0x03,0x12,0x3D,0x81,0xBD,0xE8,0xDA,0xB9,0xB9,0xDA,0xE8,0xBD,0x81,0x3D,0x14,0x03,0x00,
	0x00,0x03,0x12,0x3D,0x81,0xBD,0xE8,0xDA,0xB9,0xB9,0xDA,0xE8,0xBD,0x81,0x3D,0x14,0x03,0x00,
	0x03,0x10,0x31,0x6E,0xB2,0xF3,0xFF,0xF7,0xDA,0xDA,0xFF,0xF9,0xF3,0xB2,0x6E,0x32,0x10,0x03,
	0x0C,0x2D,0x6A,0xB0,0xF3,0xFF,0xDF,0xBF,0xE8,0xE8,0xF9,0xE7,0xE1,0xF3,0xB0,0x6B,0x2E,0x0C,
	0x1F,0x58,0xA6,0xF2,0xFF,0xDF,0xBF,0xF3,0xBD,0xBD,0xF3,0xE1,0xC7,0xC9,0xF2,0xA6,0x58,0x1F,
	0x30,0x7D,0xEC,0xFF,0xDF,0xBF,0xF3,0xB2,0x82,0x82,0xB2,0xF3,0xC9,0xA7,0xB1,0xEC,0x7D,0x31,
	0x34,0x83,0xFF,0xDF,0xBF,0xF2,0xB0,0x6E,0x3D,0x3D,0x6E,0xB0,0xF2,0xB1,0x87,0xDF,0x83,0x34,
	0x27,0x67,0xB8,0xE7,0xEC,0xA6,0x69,0x31,0x12,0x12,0x30,0x69,0xA6,0xEC,0xDF,0xB8,0x67,0x27,
	0x12,0x36,0x64,0x81,0x7B,0x57,0x2C,0x0F,0x03,0x03,0x0F,0x2C,0x57,0x7B,0x81,0x64,0x36,0x12,
	0x04,0x12,0x25,0x31,0x2D,0x1C,0x0B,0x02,0x00,0x00,0x02,0x0B,0x1C,0x2D,0x31,0x25,0x12,0x04
};
static int glow_sticky[] = {
	0x00,0x00,0x00,0x02,0x0B,0x1B,0x30,0x40,0x4A,0x4A,0x40,0x30,0x1B,0x0B,0x02,0x00,0x00,0x00,
	0x00,0x00,0x05,0x15,0x34,0x5A,0x7E,0x98,0xA4,0xA4,0x98,0x7E,0x5A,0x34,0x16,0x05,0x01,0x00,
	0x00,0x07,0x19,0x44,0x7A,0xA9,0xDD,0xFF,0xFF,0xFF,0xFF,0xDD,0xA9,0x7A,0x43,0x1A,0x07,0x00,
	0x04,0x17,0x43,0x85,0xC7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC7,0x85,0x44,0x17,0x04,
	0x0D,0x35,0x7A,0xC7,0xFF,0xFF,0xF4,0xD4,0xBC,0xBC,0xD4,0xF4,0xFF,0xFD,0xC7,0x7A,0x36,0x0E,
	0x1E,0x5C,0xA9,0xFF,0xFF,0xF2,0xB4,0x88,0x69,0x69,0x88,0xB4,0xF2,0xEE,0xF6,0xAA,0x5C,0x1F,
	0x33,0x80,0xDD,0xFF,0xF4,0xB4,0x74,0x3C,0x21,0x21,0x3C,0x74,0xB4,0xF4,0xDA,0xDD,0x80,0x33,
	0x45,0x9A,0xFF,0xFF,0xD4,0x88,0x3D,0x12,0x04,0x04,0x12,0x3D,0x88,0xD4,0xDD,0xEC,0x9A,0x45,
	0x4E,0xA6,0xFF,0xFF,0xBC,0x6B,0x24,0x07,0x00,0x00,0x07,0x24,0x6B,0xBC,0xD6,0xD3,0xA6,0x4E,
	0x4E,0xA6,0xFF,0xFF,0xBC,0x6B,0x24,0x07,0x00,0x00,0x07,0x24,0x6B,0xBC,0xCF,0xCC,0xA6,0x4E,
	0x45,0x9A,0xFF,0xFF,0xD4,0x88,0x3D,0x12,0x04,0x04,0x12,0x3D,0x88,0xD4,0xC8,0xE3,0x9A,0x45,
	0x33,0x80,0xDD,0xFF,0xF4,0xB4,0x74,0x3C,0x21,0x21,0x3C,0x74,0xB4,0xF4,0xA7,0xDD,0x80,0x33,
	0x1F,0x5C,0xAA,0xFF,0xFF,0xF2,0xB4,0x88,0x69,0x69,0x88,0xB4,0xF2,0xA3,0xDF,0xAA,0x5D,0x1F,
	0x0D,0x36,0x7A,0xC7,0xFD,0xEE,0xF4,0xD4,0xBC,0xBC,0xD4,0xF4,0xA3,0xDF,0xC7,0x7A,0x36,0x0E,
	0x04,0x17,0x44,0x85,0xC7,0xF6,0xDA,0xDD,0xD6,0xCF,0xC8,0xA7,0xDF,0xC7,0x85,0x44,0x17,0x04,
	0x00,0x07,0x19,0x44,0x7A,0xA9,0xDD,0xEC,0xD3,0xCC,0xE3,0xDD,0xA9,0x7A,0x43,0x1A,0x07,0x00,
	0x00,0x00,0x05,0x15,0x34,0x5A,0x7E,0x98,0xA4,0xA4,0x98,0x7E,0x5A,0x34,0x16,0x05,0x01,0x00,
	0x00,0x00,0x00,0x02,0x0B,0x1B,0x30,0x40,0x4A,0x4A,0x40,0x30,0x1B,0x0B,0x02,0x00,0x00,0x00
};
static int glow_unsticky[] = {
	0x00,0x00,0x00,0x02,0x0B,0x1B,0x30,0x40,0x4A,0x4A,0x40,0x30,0x1B,0x0B,0x02,0x00,0x00,0x00,
	0x00,0x00,0x05,0x15,0x34,0x5A,0x7E,0x98,0xA4,0xA4,0x98,0x7E,0x5A,0x34,0x16,0x05,0x01,0x00,
	0x00,0x07,0x19,0x44,0x7A,0xA9,0xDD,0xE3,0xCC,0xD3,0xEC,0xDD,0xA9,0x7A,0x43,0x1A,0x07,0x00,
	0x04,0x17,0x43,0x85,0xC7,0xDF,0xA7,0xC8,0xCF,0xD6,0xDD,0xDA,0xF6,0xC7,0x85,0x44,0x17,0x04,
	0x0D,0x35,0x7A,0xC7,0xDF,0xA3,0xF7,0xE3,0xD6,0xD6,0xE3,0xF7,0xEE,0xFD,0xC7,0x7A,0x36,0x0E,
	0x1E,0x5C,0xAA,0xDF,0xA3,0xF6,0xD7,0xD0,0xCE,0xCE,0xD0,0xD7,0xF6,0xFF,0xFF,0xAA,0x5C,0x1F,
	0x33,0x80,0xDD,0xA7,0xF7,0xD7,0xD3,0xEC,0xFF,0xFF,0xEC,0xD3,0xD7,0xF7,0xFF,0xDD,0x80,0x33,
	0x45,0x9A,0xE3,0xC8,0xE3,0xD0,0xEC,0xFF,0xFF,0xFF,0xF3,0xEB,0xD0,0xE2,0xFF,0xFF,0x9A,0x45,
	0x4E,0xA6,0xCC,0xCF,0xD6,0xCF,0xFF,0xFF,0xFF,0xEF,0xCF,0xEB,0xD0,0xD6,0xFF,0xFF,0xA6,0x4E,
	0x4E,0xA6,0xD3,0xD6,0xD6,0xCF,0xFF,0xFF,0xEF,0xCF,0xAF,0xE7,0xD0,0xD6,0xFF,0xFF,0xA6,0x4E,
	0x45,0x9A,0xEC,0xDD,0xE2,0xD0,0xEC,0xF3,0xCF,0xAF,0xAF,0xEB,0xD0,0xE2,0xFF,0xFF,0x9A,0x45,
	0x33,0x80,0xDD,0xDA,0xF7,0xD7,0xD3,0xEB,0xEB,0xE7,0xEB,0xD3,0xD7,0xF7,0xFF,0xDD,0x80,0x33,
	0x1F,0x5C,0xAA,0xF6,0xEE,0xF6,0xD7,0xCF,0xCE,0xCE,0xCF,0xD6,0xF7,0xFF,0xFF,0xAA,0x5D,0x1F,
	0x0D,0x36,0x7A,0xC7,0xFD,0xFF,0xF7,0xE2,0xD6,0xD6,0xE2,0xF7,0xFF,0xFF,0xC7,0x7A,0x36,0x0E,
	0x04,0x17,0x44,0x85,0xC7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC7,0x85,0x44,0x17,0x04,
	0x00,0x07,0x19,0x44,0x7A,0xA9,0xDD,0xFF,0xFF,0xFF,0xFF,0xDD,0xA9,0x7A,0x43,0x1A,0x07,0x00,
	0x00,0x00,0x05,0x15,0x34,0x5A,0x7E,0x98,0xA4,0xA4,0x98,0x7E,0x5A,0x34,0x16,0x05,0x01,0x00,
	0x00,0x00,0x00,0x02,0x0B,0x1B,0x30,0x40,0x4A,0x4A,0x40,0x30,0x1B,0x0B,0x02,0x00,0x00,0x00
};
static int glow_above[] = {
	0x08,0x19,0x30,0x43,0x4D,0x50,0x50,0x52,0x52,0x52,0x52,0x50,0x50,0x4E,0x43,0x30,0x19,0x08,
	0x16,0x3E,0x71,0x94,0xA4,0xAA,0xAB,0xAC,0xAC,0xAC,0xAC,0xAB,0xAA,0xA4,0x95,0x71,0x3E,0x16,
	0x24,0x5F,0xE2,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xE2,0x5F,0x24,
	0x24,0x5F,0xE2,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xE2,0x5F,0x24,
	0x16,0x3E,0x71,0x94,0xA6,0xB0,0xBD,0xCF,0xDC,0xDC,0xCF,0xBD,0xAF,0xA6,0x95,0x71,0x3E,0x16,
	0x08,0x19,0x30,0x44,0x52,0x69,0x92,0xC3,0xF5,0xF5,0xC3,0x93,0x6A,0x53,0x44,0x30,0x19,0x08,
	0x01,0x04,0x09,0x10,0x21,0x4D,0x94,0xE4,0xFF,0xFF,0xE4,0x94,0x4D,0x22,0x10,0x09,0x04,0x01,
	0x00,0x00,0x00,0x06,0x22,0x64,0xB6,0xFF,0xFF,0xFF,0xFF,0xB6,0x64,0x22,0x07,0x00,0x00,0x00,
	0x00,0x00,0x01,0x10,0x3C,0x8C,0xE2,0xFF,0xFF,0xFF,0xFD,0xE2,0x8C,0x3C,0x10,0x02,0x00,0x00,
	0x00,0x00,0x05,0x21,0x62,0xB3,0xFF,0xFF,0xF8,0xF8,0xF5,0xF8,0xB3,0x62,0x21,0x06,0x00,0x00,
	0x00,0x01,0x10,0x3C,0x8C,0xE2,0xFF,0xFF,0xDB,0xDB,0xF8,0xE2,0xE1,0x8C,0x3C,0x10,0x02,0x00,
	0x00,0x05,0x21,0x63,0xB4,0xFF,0xFF,0xE9,0xBA,0xBA,0xE9,0xD8,0xEF,0xB4,0x63,0x22,0x06,0x00,
	0x01,0x0E,0x3B,0x8C,0xE3,0xFF,0xFF,0xD5,0xAE,0xAF,0xD5,0xEF,0xC6,0xE3,0x8C,0x3B,0x0E,0x01,
	0x02,0x16,0x53,0xAA,0xFF,0xFD,0xF7,0xE0,0xCC,0xCC,0xE1,0xF7,0xA6,0xE6,0xAA,0x53,0x16,0x02,
	0x03,0x1C,0x5D,0xCF,0xFD,0xF2,0xF0,0xEA,0xE4,0xDE,0xD7,0xD1,0x99,0xA9,0xD0,0x5D,0x1D,0x03,
	0x02,0x16,0x4E,0xAC,0xFC,0xF4,0xED,0xE7,0xE0,0xDA,0xD4,0xCE,0xC7,0xE1,0xAC,0x4E,0x16,0x02,
	0x01,0x0D,0x2C,0x60,0x8F,0xA7,0xAE,0xAE,0xAC,0xAC,0xAE,0xAE,0xA7,0x8F,0x61,0x2C,0x0D,0x01,
	0x00,0x03,0x10,0x26,0x3D,0x4C,0x50,0x52,0x52,0x52,0x52,0x50,0x4C,0x3D,0x26,0x10,0x04,0x00
};
static int glow_unabove[] = {
	0x00,0x00,0x00,0x00,0x00,0x01,0x0A,0x18,0x26,0x26,0x18,0x0A,0x01,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x0A,0x25,0x4E,0x6D,0x6D,0x4E,0x25,0x0A,0x01,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x04,0x1D,0x52,0x96,0xE9,0xE9,0x96,0x52,0x1E,0x05,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x01,0x10,0x3C,0x88,0xE0,0xA2,0xB2,0xE0,0x88,0x3C,0x10,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x05,0x21,0x62,0xB5,0xE2,0x99,0xB2,0xF2,0xB5,0x62,0x21,0x06,0x00,0x00,0x00,
	0x00,0x00,0x01,0x10,0x3C,0x8C,0xE3,0xB6,0xD6,0xE2,0xEC,0xE2,0x8C,0x3C,0x10,0x02,0x00,0x00,
	0x00,0x00,0x05,0x21,0x62,0xB3,0xE9,0xC2,0xF8,0xF8,0xFC,0xFF,0xB3,0x62,0x21,0x06,0x00,0x00,
	0x00,0x01,0x10,0x3C,0x8C,0xE2,0xC8,0xEF,0xDB,0xDB,0xFF,0xFF,0xE1,0x8C,0x3C,0x10,0x02,0x00,
	0x00,0x05,0x21,0x63,0xB4,0xEF,0xD6,0xE9,0xBA,0xBA,0xE9,0xFF,0xFF,0xB4,0x63,0x22,0x06,0x00,
	0x01,0x0E,0x3B,0x8C,0xE3,0xDC,0xF5,0xD5,0xAE,0xAF,0xD5,0xFF,0xFF,0xE3,0x8C,0x3B,0x0E,0x01,
	0x02,0x16,0x53,0xAA,0xF5,0xE5,0xF7,0xE2,0xCC,0xCC,0xE2,0xF7,0xFF,0xFF,0xAA,0x53,0x17,0x02,
	0x04,0x21,0x65,0xD3,0xEF,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xD3,0x65,0x22,0x05,
	0x0D,0x2F,0x74,0xCA,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xCA,0x74,0x30,0x0D,
	0x19,0x4A,0x90,0xC8,0xE6,0xF0,0xF1,0xF0,0xF0,0xF0,0xF0,0xF0,0xEF,0xE6,0xC8,0x90,0x4A,0x1A,
	0x24,0x64,0xE5,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xE5,0x64,0x24,
	0x24,0x60,0xE2,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xE2,0x60,0x24,
	0x16,0x3E,0x71,0x95,0xA6,0xAB,0xAA,0xAC,0xAC,0xAC,0xAC,0xAB,0xAB,0xA6,0x95,0x71,0x3E,0x16,
	0x08,0x19,0x30,0x43,0x4C,0x50,0x50,0x52,0x52,0x52,0x52,0x50,0x50,0x4D,0x43,0x30,0x19,0x08
};
static int glow_below[] = {
	0x00,0x03,0x10,0x26,0x3D,0x4C,0x50,0x52,0x52,0x52,0x52,0x50,0x4C,0x3D,0x26,0x10,0x04,0x00,
	0x01,0x0D,0x2C,0x60,0x8E,0xA6,0xAD,0xAD,0xAC,0xAC,0xAD,0xAD,0xA6,0x8E,0x60,0x2C,0x0D,0x01,
	0x02,0x16,0x4E,0xAC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xAC,0x4E,0x16,0x02,
	0x03,0x1C,0x5D,0xCF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xEF,0xD0,0x5D,0x1D,0x03,
	0x02,0x16,0x53,0xAA,0xFF,0xFF,0xF7,0xE1,0xCB,0xCB,0xE1,0xF7,0xE5,0xF5,0xAA,0x53,0x16,0x02,
	0x01,0x0E,0x3B,0x8C,0xE3,0xFF,0xFF,0xD5,0xAE,0xAF,0xD5,0xF5,0xDC,0xE3,0x8C,0x3B,0x0E,0x01,
	0x00,0x05,0x21,0x63,0xB4,0xFF,0xFF,0xE9,0xBA,0xBA,0xE9,0xD6,0xEF,0xB4,0x63,0x22,0x06,0x00,
	0x00,0x01,0x10,0x3C,0x8C,0xE2,0xFF,0xFF,0xDB,0xDB,0xEF,0xC8,0xE2,0x8C,0x3D,0x10,0x02,0x00,
	0x00,0x00,0x05,0x21,0x62,0xB3,0xFF,0xFC,0xF8,0xF8,0xC2,0xE9,0xB3,0x62,0x21,0x06,0x00,0x00,
	0x00,0x00,0x01,0x10,0x3C,0x8C,0xE3,0xEC,0xE2,0xD6,0xB6,0xE2,0x8C,0x3C,0x10,0x02,0x00,0x00,
	0x00,0x00,0x00,0x06,0x22,0x64,0xB6,0xF2,0xB2,0x99,0xE2,0xB6,0x64,0x22,0x07,0x00,0x00,0x00,
	0x01,0x04,0x09,0x10,0x22,0x4D,0x95,0xE4,0xB2,0xA2,0xE4,0x95,0x4D,0x22,0x10,0x09,0x04,0x01,
	0x08,0x19,0x30,0x44,0x52,0x69,0x92,0xC3,0xF5,0xF5,0xC3,0x93,0x6A,0x53,0x44,0x30,0x19,0x08,
	0x16,0x3E,0x71,0x94,0xA6,0xB0,0xBD,0xCF,0xDC,0xDC,0xCF,0xBD,0xAF,0xA6,0x95,0x71,0x3E,0x16,
	0x24,0x5F,0xE2,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xE2,0x5F,0x24,
	0x24,0x5F,0xE2,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xE2,0x5F,0x24,
	0x16,0x3E,0x71,0x94,0xA4,0xAA,0xAA,0xAC,0xAB,0xAB,0xAC,0xAB,0xAA,0xA4,0x95,0x71,0x3E,0x16,
	0x08,0x19,0x30,0x43,0x4D,0x50,0x50,0x52,0x52,0x52,0x52,0x50,0x50,0x4E,0x43,0x30,0x19,0x08
};
static int glow_unbelow[] = {
	0x08,0x19,0x30,0x43,0x4D,0x50,0x50,0x52,0x52,0x52,0x52,0x50,0x50,0x4E,0x43,0x30,0x19,0x08,
	0x16,0x3E,0x71,0x95,0xA6,0xAB,0xAC,0xAC,0xAC,0xAD,0xAC,0xAC,0xAB,0xA6,0x95,0x71,0x3E,0x16,
	0x24,0x60,0xE2,0xFE,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC1,0xE2,0x60,0x24,
	0x24,0x64,0xE5,0xFD,0xF8,0xF2,0xED,0xE7,0xE2,0xDC,0xD7,0xD1,0xCC,0xC6,0xC0,0xE5,0x64,0x24,
	0x19,0x4A,0x90,0xC8,0xE6,0xF0,0xF1,0xF1,0xF0,0xF0,0xF1,0xF1,0xEF,0xE6,0xC8,0x90,0x4A,0x1A,
	0x0D,0x2F,0x74,0xCA,0xE1,0xC7,0xCE,0xD4,0xDA,0xE0,0xE7,0xED,0xF4,0xFC,0xCA,0x74,0x30,0x0D,
	0x04,0x21,0x65,0xD3,0xA9,0x99,0xD1,0xD7,0xDE,0xE4,0xEA,0xF0,0xF2,0xFD,0xD4,0x65,0x22,0x05,
	0x02,0x16,0x53,0xAA,0xE6,0xA6,0xF7,0xE2,0xCC,0xCC,0xE2,0xF8,0xFD,0xFF,0xAA,0x53,0x17,0x02,
	0x01,0x0E,0x3B,0x8C,0xE2,0xC6,0xEF,0xD5,0xAE,0xAF,0xD5,0xFF,0xFF,0xE2,0x8C,0x3B,0x0E,0x01,
	0x00,0x05,0x21,0x63,0xB4,0xEF,0xD8,0xE9,0xBA,0xBA,0xE9,0xFF,0xFF,0xB4,0x63,0x22,0x06,0x00,
	0x00,0x01,0x10,0x3C,0x8C,0xE2,0xE2,0xF8,0xDB,0xDB,0xFF,0xFF,0xE2,0x8C,0x3D,0x10,0x02,0x00,
	0x00,0x00,0x05,0x21,0x62,0xB3,0xF8,0xF5,0xF8,0xF8,0xFF,0xFF,0xB3,0x62,0x21,0x06,0x00,0x00,
	0x00,0x00,0x01,0x10,0x3C,0x8C,0xE3,0xFD,0xFF,0xFF,0xFF,0xE2,0x8C,0x3C,0x10,0x02,0x00,0x00,
	0x00,0x00,0x00,0x05,0x21,0x62,0xB5,0xFF,0xFF,0xFF,0xFF,0xB5,0x62,0x21,0x06,0x00,0x00,0x00,
	0x00,0x00,0x00,0x01,0x10,0x3C,0x88,0xE0,0xFF,0xFF,0xE0,0x88,0x3C,0x10,0x02,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x04,0x1D,0x52,0x96,0xE9,0xE9,0x96,0x52,0x1E,0x05,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x01,0x0A,0x25,0x4E,0x6E,0x6E,0x4E,0x25,0x0A,0x01,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x01,0x0A,0x18,0x26,0x26,0x18,0x0A,0x01,0x00,0x00,0x00,0x00,0x00
};
static int glow_menu[] = {
	0x00,0x00,0x00,0x00,0x01,0x03,0x0C,0x1D,0x2E,0x2E,0x21,0x18,0x1F,0x2C,0x30,0x22,0x12,0x04,
	0x00,0x01,0x06,0x0E,0x14,0x1A,0x2C,0x50,0x70,0x72,0x58,0x47,0x5B,0x76,0x79,0x5C,0x2F,0x10,
	0x00,0x07,0x19,0x34,0x4A,0x54,0x66,0x8F,0xFF,0xFF,0x9B,0x8F,0xA6,0xEA,0xFF,0xC2,0x4C,0x19,
	0x02,0x10,0x36,0x6E,0xC2,0xA2,0xAA,0xC2,0xFF,0xFF,0xD0,0xCB,0xF2,0xFF,0xFF,0xAD,0x4F,0x1A,
	0x02,0x18,0x4E,0xC4,0xFF,0xF3,0xFF,0xDB,0xFF,0xFF,0xED,0xF9,0xFF,0xFF,0xC9,0x7C,0x37,0x10,
	0x04,0x1F,0x5F,0xAE,0xF5,0xFF,0xF6,0xE1,0xFF,0xFF,0xFD,0xFF,0xFF,0xDB,0x98,0x4E,0x1B,0x06,
	0x0D,0x30,0x77,0xBE,0xFF,0xF4,0xCE,0xD8,0xFF,0xFF,0xFF,0xFF,0xF4,0xCA,0x82,0x38,0x0F,0x02,
	0x1A,0x50,0x9D,0xE4,0xFF,0xD8,0xB6,0xCA,0xFF,0xFF,0xFD,0xF7,0xF7,0xDB,0x98,0x4E,0x1B,0x06,
	0x28,0x6C,0xE8,0xFF,0xFF,0xC3,0xA3,0xBD,0xFF,0xFF,0xEE,0xF9,0xD7,0xEC,0xCA,0x7D,0x37,0x10,
	0x28,0x6C,0xE8,0xFF,0xFF,0xC2,0x9E,0xB2,0xFF,0xFC,0xD5,0xD4,0xF6,0xB7,0xE2,0xAE,0x50,0x1A,
	0x1A,0x50,0x9D,0xE4,0xFF,0xD6,0xAB,0xAA,0xFC,0xFA,0xB9,0xBC,0xD2,0xF6,0xDF,0xC8,0x4F,0x19,
	0x0D,0x30,0x77,0xBE,0xFF,0xF4,0xC6,0xB5,0xB7,0xB8,0xB6,0xC3,0xF3,0xDE,0xB7,0x79,0x38,0x11,
	0x04,0x1F,0x5F,0xAF,0xF5,0xFE,0xF4,0xDA,0xCC,0xCC,0xDA,0xF4,0xB5,0xF2,0xA6,0x5E,0x24,0x08,
	0x02,0x18,0x4F,0xC4,0xFF,0xF5,0xF8,0xF2,0xE1,0xDA,0xEA,0xE8,0xF5,0xE1,0xC1,0x4C,0x17,0x04,
	0x02,0x10,0x36,0x6E,0xC4,0xAF,0xBE,0xE4,0xDA,0xD6,0xE4,0xBE,0xAD,0xC3,0x6C,0x35,0x10,0x02,
	0x00,0x07,0x19,0x35,0x4E,0x5E,0x76,0x9D,0xE8,0xE8,0x9D,0x76,0x5E,0x4E,0x35,0x18,0x07,0x00,
	0x00,0x01,0x06,0x0E,0x15,0x1C,0x2E,0x4F,0x6A,0x6A,0x4F,0x2E,0x1C,0x15,0x0E,0x06,0x01,0x00,
	0x00,0x00,0x00,0x00,0x01,0x02,0x09,0x17,0x25,0x25,0x17,0x09,0x02,0x01,0x00,0x00,0x00,0x00
};

void Pixmaps::createPixmaps()
{
	if (pixmapsCreated)
		return;

	QColor aColor = KDecoration::options()->color(KDecoration::ColorTitleBar, true);
	QColor iColor = KDecoration::options()->color(KDecoration::ColorTitleBar, false);

	QColor aFont = KDecoration::options()->color(KDecoration::ColorFont, true);
	QColor iFont = KDecoration::options()->color(KDecoration::ColorFont, false);

	// int titleSize = 18; // + 7 + 5  (top & mid spacers)
	// int borderSize = 9;
	//int buttonSize = 18;

	QPainter painter;
	KPixmap tempPixmap;

	// Let's create the button background.
	active_button_ground = new QPixmap(18, 18);
	painter.begin(active_button_ground);
	tempPixmap.resize(18, 18);
	tempPixmap.fill(aColor);
	painter.drawPixmap(0, 0, tempPixmap);
	painter.end();
	inactive_button_ground = new QPixmap(18, 18);
	painter.begin(inactive_button_ground);
	tempPixmap.resize(18, 18);
	tempPixmap.fill(iColor);
	painter.drawPixmap(0, 0, tempPixmap);
	painter.end();

	// Now, let's create the button icons!
	QImage *aGround = new QImage(18, 18, 32);
	QImage *taGround = new QImage();
	*taGround = active_button_ground->convertToImage();
	*taGround = taGround->convertDepth(32);
	bitBlt(aGround, 0, 0, taGround, 0, 0, 18, 18, 0);
	QImage *iGround = new QImage(18, 18, 32);
	QImage *tiGround = new QImage();
	*tiGround = inactive_button_ground->convertToImage();
	*tiGround = tiGround->convertDepth(32);
	bitBlt(iGround, 0, 0, tiGround, 0, 0, 18, 18, 0);

	int inverted = PowderHandler::hoverStyle();	// Regular (0) or Inverted (1)

	// Lotsa work to do.
	// Zero...
	static QImage* active_normal[12];
	static QImage* active_hover[12];
	static QImage* active_sunken[12];
	static QImage* inactive_normal[12];
	static QImage* inactive_hover[12];
	static QImage* inactive_sunken[12];
	// Sixty!
	static int* alias_pix[] = {
		alias_help, alias_max, alias_restore, alias_min,
		alias_close, alias_sticky, alias_unsticky, alias_above, 
		alias_unabove, alias_below, alias_unbelow, alias_menu};
	static int* glow_pix[] = {
		glow_help, glow_max, glow_restore, glow_min,
		glow_close, glow_sticky, glow_unsticky, glow_above, 
		glow_unabove, glow_below, glow_unbelow, glow_menu};
	int index[] = {
		PowderHandler::helpGlow(), PowderHandler::maxGlow(), 
		PowderHandler::maxGlow(), PowderHandler::minGlow(),
		PowderHandler::closeGlow(), PowderHandler::stickyGlow(),
		PowderHandler::stickyGlow(), PowderHandler::abbeGlow(),
		PowderHandler::abbeGlow(), PowderHandler::abbeGlow(),
		PowderHandler::abbeGlow(), PowderHandler::menuGlow()};
	// Some colors to use.
	int atr, atg, atb;		// Active title text color
	int itr, itg, itb;		// Inactive title text color
	aFont.getRgb(&atr, &atg, &atb);
	iFont.getRgb(&itr, &itg, &itb);
	int glr, glg, glb;		// Glow color
	QColor glow;
	// Zero...
	for (int b=0 ; b<12; b++)
	{
		glow = PowderHandler::listColor(index[b]);
		glow.getRgb(&glr, &glg, &glb);
		active_normal[b] = new QImage(18, 18, 32);
		bitBlt(active_normal[b], 0, 0, aGround, 0, 0, 18, 18, 0);
		unicity(alias_pix[b], *active_normal[b], atr, atg, atb);
		active_hover[b] = new QImage(18, 18, 32);
		bitBlt(active_hover[b], 0, 0, aGround, 0, 0, 18, 18, 0);
		active_sunken[b] = new QImage(18, 18, 32);
		bitBlt(active_sunken[b], 0, 0, aGround, 0, 0, 18, 18, 0);
		if (inverted==0)
		{
			unicity(glow_pix[b], *active_hover[b], glr, glg, glb);
			unicity(alias_pix[b], *active_hover[b], atr, atg, atb);
			unicity(glow_pix[b], *active_sunken[b], atr, atg, atb);
			unicity(alias_pix[b], *active_sunken[b], glr, glg, glb);
		}
		else
		{
			unicity(glow_pix[b], *active_hover[b], atr, atg, atb);
			unicity(alias_pix[b], *active_hover[b], glr, glg, glb);
			unicity(glow_pix[b], *active_sunken[b], glr, glg, glb);
			unicity(alias_pix[b], *active_sunken[b], atr, atg, atb);
		}
		inactive_normal[b] = new QImage(18, 18, 32);
		bitBlt(inactive_normal[b], 0, 0, iGround, 0, 0, 18, 18, 0);
		unicity(alias_pix[b], *inactive_normal[b], itr, itg, itb);
		inactive_hover[b] = new QImage(18, 18, 32);
		bitBlt(inactive_hover[b], 0, 0, iGround, 0, 0, 18, 18, 0);
		inactive_sunken[b] = new QImage(18, 18, 32);
		bitBlt(inactive_sunken[b], 0, 0, iGround, 0, 0, 18, 18, 0);
		if (inverted==0)
		{
			unicity(glow_pix[b], *inactive_hover[b], glr, glg, glb);
			unicity(alias_pix[b], *inactive_hover[b], atr, atg, atb);
			unicity(glow_pix[b], *inactive_sunken[b], atr, atg, atb);
			unicity(alias_pix[b], *inactive_sunken[b], glr, glg, glb);
		}
		else
		{
			unicity(glow_pix[b], *inactive_hover[b], atr, atg, atb);
			unicity(alias_pix[b], *inactive_hover[b], glr, glg, glb);
			unicity(glow_pix[b], *inactive_sunken[b], glr, glg, glb);
			unicity(alias_pix[b], *inactive_sunken[b], atr, atg, atb);
		}
	}
	// Sixty... This is the end.
	// Well, almost!
	// Zero...
	active_help_normal = active_normal[0];
	active_max_normal = active_normal[1];
	active_restore_normal = active_normal[2];
	active_min_normal = active_normal[3];
	active_close_normal = active_normal[4];
	active_sticky_normal = active_normal[5];
	active_unsticky_normal = active_normal[6];
	active_above_normal = active_normal[7];
	active_unabove_normal = active_normal[8];
	active_below_normal = active_normal[9];
	active_unbelow_normal = active_normal[10];
	active_menu_normal = active_normal[11];
	// Ten...
	active_help_hover = active_hover[0];
	active_max_hover = active_hover[1];
	active_restore_hover = active_hover[2];
	active_min_hover = active_hover[3];
	active_close_hover = active_hover[4];
	active_sticky_hover = active_hover[5];
	active_unsticky_hover = active_hover[6];
	active_above_hover = active_hover[7];
	active_unabove_hover = active_hover[8];
	active_below_hover = active_hover[9];
	active_unbelow_hover = active_hover[10];
	active_menu_hover = active_hover[11];
	// Twenty...
	active_help_sunken = active_sunken[0];
	active_max_sunken = active_sunken[1];
	active_restore_sunken = active_sunken[2];
	active_min_sunken = active_sunken[3];
	active_close_sunken = active_sunken[4];
	active_sticky_sunken = active_sunken[5];
	active_unsticky_sunken = active_sunken[6];
	active_above_sunken = active_sunken[7];
	active_unabove_sunken = active_sunken[8];
	active_below_sunken = active_sunken[9];
	active_unbelow_sunken = active_sunken[10];
	active_menu_sunken = active_sunken[11];
	// Thirty...
	inactive_help_normal = inactive_normal[0];
	inactive_max_normal = inactive_normal[1];
	inactive_restore_normal = inactive_normal[2];
	inactive_min_normal = inactive_normal[3];
	inactive_close_normal = inactive_normal[4];
	inactive_sticky_normal = inactive_normal[5];
	inactive_unsticky_normal = inactive_normal[6];
	inactive_above_normal = inactive_normal[7];
	inactive_unabove_normal = inactive_normal[8];
	inactive_below_normal = inactive_normal[9];
	inactive_unbelow_normal = inactive_normal[10];
	inactive_menu_normal = inactive_normal[11];
	// Forty...
	inactive_help_hover = inactive_hover[0];
	inactive_max_hover = inactive_hover[1];
	inactive_restore_hover = inactive_hover[2];
	inactive_min_hover = inactive_hover[3];
	inactive_close_hover = inactive_hover[4];
	inactive_sticky_hover = inactive_hover[5];
	inactive_unsticky_hover = inactive_hover[6];
	inactive_above_hover = inactive_hover[7];
	inactive_unabove_hover = inactive_hover[8];
	inactive_below_hover = inactive_hover[9];
	inactive_unbelow_hover = inactive_hover[10];
	inactive_menu_hover = inactive_hover[11];
	// Fifty...
	inactive_help_sunken = inactive_sunken[0];
	inactive_max_sunken = inactive_sunken[1];
	inactive_restore_sunken = inactive_sunken[2];
	inactive_min_sunken = inactive_sunken[3];
	inactive_close_sunken = inactive_sunken[4];
	inactive_sticky_sunken = inactive_sunken[5];
	inactive_unsticky_sunken = inactive_sunken[6];
	inactive_above_sunken = inactive_sunken[7];
	inactive_unabove_sunken = inactive_sunken[8];
	inactive_below_sunken = inactive_sunken[9];
	inactive_unbelow_sunken = inactive_sunken[10];
	inactive_menu_sunken = inactive_sunken[11];
	// Sixty. We're done!
}

void Pixmaps::deletePixmaps()
{
	delete active_button_ground;
	active_button_ground = 0;
	delete inactive_button_ground;
	inactive_button_ground = 0;

	delete active_help_normal;
	active_help_normal = 0;
	delete active_max_normal;
	active_max_normal = 0;
	delete active_restore_normal;
	active_restore_normal = 0;
	delete active_min_normal;
	active_min_normal = 0;
	delete active_close_normal;
	active_close_normal = 0;
	delete active_sticky_normal;
	active_sticky_normal = 0;
	delete active_unsticky_normal;
	active_unsticky_normal = 0;
	delete active_above_normal;
	active_above_normal = 0;
	delete active_unabove_normal;
	active_unabove_normal = 0;
	delete active_below_normal;
	active_below_normal = 0;
	delete active_unbelow_normal;
	active_unbelow_normal = 0;
	delete active_menu_normal;
	active_menu_normal = 0;
	
	delete active_help_hover;
	active_help_hover = 0;
	delete active_max_hover;
	active_max_hover = 0;
	delete active_restore_hover;
	active_restore_hover = 0;
	delete active_min_hover;
	active_min_hover = 0;
	delete active_close_hover;
	active_close_hover = 0;
	delete active_sticky_hover;
	active_sticky_hover = 0;
	delete active_unsticky_hover;
	active_unsticky_hover = 0;
	delete active_above_hover;
	active_above_hover = 0;
	delete active_unabove_hover;
	active_unabove_hover = 0;
	delete active_below_hover;
	active_below_hover = 0;
	delete active_unbelow_hover;
	active_unbelow_hover = 0;
	delete active_menu_hover;
	active_menu_hover = 0;
	
	delete active_help_sunken;
	active_help_sunken = 0;
	delete active_max_sunken;
	active_max_sunken = 0;
	delete active_restore_sunken;
	active_restore_sunken = 0;
	delete active_min_sunken;
	active_min_sunken = 0;
	delete active_close_sunken;
	active_close_sunken = 0;
	delete active_sticky_sunken;
	active_sticky_sunken = 0;
	delete active_unsticky_sunken;
	active_unsticky_sunken = 0;
	delete active_above_sunken;
	active_above_sunken = 0;
	delete active_unabove_sunken;
	active_unabove_sunken = 0;
	delete active_below_sunken;
	active_below_sunken = 0;
	delete active_unbelow_sunken;
	active_unbelow_sunken = 0;
	delete active_menu_sunken;
	active_menu_sunken = 0;

	delete inactive_help_normal;
	inactive_help_normal = 0;
	delete inactive_max_normal;
	inactive_max_normal = 0;
	delete inactive_restore_normal;
	inactive_restore_normal = 0;
	delete inactive_min_normal;
	inactive_min_normal = 0;
	delete inactive_close_normal;
	inactive_close_normal = 0;
	delete inactive_sticky_normal;
	inactive_sticky_normal = 0;
	delete inactive_unsticky_normal;
	inactive_unsticky_normal = 0;
	delete inactive_above_normal;
	inactive_above_normal = 0;
	delete inactive_unabove_normal;
	inactive_unabove_normal = 0;
	delete inactive_below_normal;
	inactive_below_normal = 0;
	delete inactive_unbelow_normal;
	inactive_unbelow_normal = 0;
	delete inactive_menu_normal;
	inactive_menu_normal = 0;
	
	delete inactive_help_hover;
	inactive_help_hover = 0;
	delete inactive_max_hover;
	inactive_max_hover = 0;
	delete inactive_restore_hover;
	inactive_restore_hover = 0;
	delete inactive_min_hover;
	inactive_min_hover = 0;
	delete inactive_close_hover;
	inactive_close_hover = 0;
	delete inactive_sticky_hover;
	inactive_sticky_hover = 0;
	delete inactive_unsticky_hover;
	inactive_unsticky_hover = 0;
	delete inactive_above_hover;
	inactive_above_hover = 0;
	delete inactive_unabove_hover;
	inactive_unabove_hover = 0;
	delete inactive_below_hover;
	inactive_below_hover = 0;
	delete inactive_unbelow_hover;
	inactive_unbelow_hover = 0;
	delete inactive_menu_hover;
	inactive_menu_hover = 0;
	
	delete inactive_help_sunken;
	inactive_help_sunken = 0;
	delete inactive_max_sunken;
	inactive_max_sunken = 0;
	delete inactive_restore_sunken;
	inactive_restore_sunken = 0;
	delete inactive_min_sunken;
	inactive_min_sunken = 0;
	delete inactive_close_sunken;
	inactive_close_sunken = 0;
	delete inactive_sticky_sunken;
	inactive_sticky_sunken = 0;
	delete inactive_unsticky_sunken;
	inactive_unsticky_sunken = 0;
	delete inactive_above_sunken;
	inactive_above_sunken = 0;
	delete inactive_unabove_sunken;
	inactive_unabove_sunken = 0;
	delete inactive_below_sunken;
	inactive_below_sunken = 0;
	delete inactive_unbelow_sunken;
	inactive_unbelow_sunken = 0;
	delete inactive_menu_sunken;
	inactive_menu_sunken = 0;

	pixmapsCreated = false;
}

void Pixmaps::unicity(int* pattern, QImage& work, int rr, int gg, int bb)
{
	int x, y, aa;
	int z = 0;
	uint pxl;

	for (y=0; y<18; y++)
	{
		uint *line = (uint*)work.scanLine(y);	// work is 32-bit QImage.
		for (x=0; x<18; x++)
		{
			aa = pattern[z];	// Pattern is (18*18) * 256 levels
			//
			if (aa==0)		// Keep background.
			{
			}
			else if (aa==255)	// Replace background with color.
			{
				line[x] = qRgb(rr, gg, bb);
			}
			else			// Otherwise mix.
			{
				pxl = line[x];
				line[x] = qRgb( (qRed(pxl)*(255-aa)+rr*aa)/255, 
						(qGreen(pxl)*(255-aa)+gg*aa)/255, 
						(qBlue(pxl)*(255-aa)+bb*aa)/255 );
			}
			z++;
		}
	}
}
